/// <reference types="react" />
import { BaseWidget } from '@tinystacks/ops-core';
import { Widget } from '@tinystacks/ops-model';
export type PanelProps = Widget & {
    orientation?: 'horizontal' | 'vertical';
};
export declare class Panel extends BaseWidget {
    orientation: string;
    constructor(props: PanelProps);
    static fromJson(object: Widget): Panel;
    toJson(): {
        orientation: string;
        id: string;
        displayName: string;
        type: string;
        providerIds?: string[];
        childrenIds?: string[];
        description?: string;
        displayOptions?: {
            showDisplayName?: boolean;
            showDescription?: boolean;
        };
        additionalProperties?: any;
    };
    getData(): void;
    render(children?: (Widget & {
        renderedElement: JSX.Element;
    })[]): JSX.Element;
}
